| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csFixedSizeAllocator< Size, Allocator >::DefaultDisposer Class Reference

Default disposer mixin, just reporting leaks. More...

`#include <csutil/fixedsizeallocator.h>`

List of all members.

## Public Member Functions
template<typename BA>
| DefaultDisposer (const BA &, bool legit)
void | Dispose (void *)
| ~DefaultDisposer ()

## Detailed Description

### template<size_t Size, class Allocator = CS::Memory::AllocatorMalloc>
class csFixedSizeAllocator< Size, Allocator >::DefaultDisposer

Default disposer mixin, just reporting leaks.

Definition at line 176 of file fixedsizeallocator.h.

The documentation for this class was generated from the following file:

- csutil/fixedsizeallocator.h